## ros-rolling-xacro 2.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(xacro)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(FILES scripts/completion.bash DESTINATION share/${PROJECT_NAME}/environment)

# install xacro python package and it's console_script entry-point script
ament_python_install_package(${PROJECT_NAME} SCRIPTS_DESTINATION lib/${PROJECT_NAME})

# install entry-point script(s) in bin as well
install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ament_cmake_python/${PROJECT_NAME}/scripts/
    DESTINATION bin/
    USE_SOURCE_PERMISSIONS)

if(BUILD_TESTING)
  ## run linters as defined in package.xml
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ## add tests for xacro's cmake functions
  add_subdirectory(test)
endif()

ament_package(
  CONFIG_EXTRAS cmake/xacro-extras.cmake
)

## ros-rolling-xacro 2.0.7

=== debian/changelog ===
ros-rolling-xacro (2.0.7-1focal) focal; urgency=high

  * Allow more builtin symbols: sorted, set
  * Don't import hidden symbols from math package
  * Fix eval security vulnerability
    - safe_eval()
    - unit tests validating the protection mechanism
  * Generalize yaml !degrees constructors: Enable expressions as well
  * Improve macro arg parsing (#278 <https://github.com/ros/xacro/issues/278>) to support:
    - $(substitution args)
    - ${python expressions}
    - single or double quoting of spaces
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 03 Sep 2021 22:00:00 -0000

ros-rolling-xacro (2.0.6-1focal) focal; urgency=high

  * [feature] Expose YamlDictWrapper as dotify() to allow dotted access to any dict (#274 <https://github.com/ros/xacro/issues/274>)
  * [fix]     Scoped macro evaluation (#272 <https://github.com/ros/xacro/issues/272>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 29 May 2021 22:00:00 -0000

ros-rolling-xacro (2.0.5-1focal) focal; urgency=high

  * [fix]     Report correct filename for XML errors (#268 <https://github.com/ros/xacro/issues/268>)
  * [fix]     Python3-compatible property Table (#266 <https://github.com/ros/xacro/issues/266>)
  * [fix]     Use outer-scope symbols to resolve include filename in xacro:include (#264 <https://github.com/ros/xacro/issues/264>)
  * [fix]     Append test directory to existing AMENT_PREFIX_PATH (#260 <https://github.com/ros/xacro/issues/260>)
  * [fix]     yaml loading: recursively wrap lists and dicts for dotted dict access (#258 <https://github.com/ros/xacro/issues/258>)
  * [feature] Provide support for yaml constructors !degrees and !radians (#252 <https://github.com/ros/xacro/issues/252>)
  * Contributors: Chen Bainian, Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 01 Mar 2021 23:00:00 -0000

ros-rolling-xacro (2.0.3-1focal) focal; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.2 and 1.14.3 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 22:00:00 -0000

ros-rolling-xacro (2.0.2-1focal) focal; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.1, 1.13.5 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 23:00:00 -0000

ros-rolling-xacro (2.0.1-1focal) focal; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 05 Oct 2019 22:00:00 -0000

ros-rolling-xacro (2.0.0-1focal) focal; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Sep 2019 22:00:00 -0000

ros-rolling-xacro (1.14.4-1focal) focal; urgency=high

  * [fix] Rework YamlDictWrapper to restore dict properties (#250 <https://github.com/ros/xacro/issues/250>)
  * [fix] Ignore underscores when parsing literal numeric values (#247 <https://github.com/ros/xacro/issues/247>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 22:00:00 -0000

ros-rolling-xacro (1.14.3-1focal) focal; urgency=high

  * [feature] Improve warnings
    - Unify meaning of verbosity > 0 (to print file location)
    - Provide file location on warning in check_attrs()
    - Issue warning on child elements of <xacro:include> tag
  * [feature] Allow dotted access to yaml-loaded dicts: d.key1.key2.key3 (#245 <https://github.com/ros/xacro/issues/245>)
  * [maint]   Travis: Update distro to Bionic
  * Contributors: Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 04 Jul 2020 22:00:00 -0000

ros-rolling-xacro (1.14.2-1focal) focal; urgency=high

  * [maintanence] Remove deprecated xacro.py (#239 <https://github.com/ros/xacro/issues/239>)
  * Contributors: Shane Loretz

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 20 May 2020 22:00:00 -0000

ros-rolling-xacro (1.14.1-1focal) focal; urgency=high

  * [feature]     allow optional xacro includes (#234 <https://github.com/ros/xacro/issues/234>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 23:00:00 -0000

ros-rolling-xacro (1.13.5-1focal) focal; urgency=high

  * [feature] Expose abs_filename() (#220 <https://github.com/ros/xacro/issues/220>)
  * [feature] Catch missing closing brace in $() and ${} expressions
  * [maintanence]
    - Replace deprecated yaml.load() -> yaml.safe_load()
    - Save macro names internally w/o 'xacro:' prefix
    - Correctly issue deprecation warning for non-prefixed xacro tags
  * Contributors: Robert Haschke



=== debian/control ===
Source: ros-rolling-xacro
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-index-python, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-rolling-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-rolling-ament-index-python, ros-rolling-ros-workspace
Description: Xacro (XML Macros) Xacro is an XML macro language.
 With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-xacro//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-xacro 2.0.9

=== debian/changelog ===
ros-rolling-xacro (2.0.9-2jammy) jammy; urgency=high

  * Evaluate ``arg`` value as str/unicode (#322 <https://github.com/ros/xacro/issues/322>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Feb 2023 08:00:00 -0000

ros-rolling-xacro (2.0.8-2jammy) jammy; urgency=high

  * Install xacro using console_script entrypoint (#304 <https://github.com/ros/xacro/issues/304>)
  * Provide xacro.process() returning the processed file (#229 <https://github.com/ros/xacro/issues/229>)
  * Dotted YAML access from list iterator (#318 <https://github.com/ros/xacro/issues/318>)
  * Optionally allow comment evaluation (#310 <https://github.com/ros/xacro/issues/310>)Comment evaluation can be enabled with a special comment:
    
      * ``<!-- xacro:eval-comments -->`` or
      * ``<!-- xacro:eval-comments:on -->``
    It remains active for the following comments until:
    
      * the current XML tag's scope is left (or a new tag entered)
      * another tag or non-whitespace text is processed
      * it becomes explicitly disabled via: ``<!-- xacro:eval-comments:off -->``
    
  * Fix property resolution with namespace usage (#308 <https://github.com/ros/xacro/issues/308>)
    
      * Allow access to properties in parent scopes again (fixes #305 <https://github.com/ros/xacro/issues/305#issuecomment-1016811150>)
      * Pick correct scope when defining a property into the parent (fixes #307 <https://github.com/ros/xacro/issues/307>)Setting a property within the parent scope may occur in two contexts:From within a macro. In that case, one wants to set the property in the caller's scope.
        
        From within the included file. In that case, one wants to set the property in the includer's scope.
    
  * Contributors: Chen Bainian, Gonzalo de Pedro, Gonzo, Jacob Perron, Melvin Wang, Robert Haschke, vandanamandlik

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 22 Oct 2022 07:00:00 -0000

ros-rolling-xacro (2.0.7-2jammy) jammy; urgency=high

  * Allow more builtin symbols: sorted, set
  * Don't import hidden symbols from math package
  * Fix eval security vulnerability
    - safe_eval()
    - unit tests validating the protection mechanism
  * Generalize yaml !degrees constructors: Enable expressions as well
  * Improve macro arg parsing (#278 <https://github.com/ros/xacro/issues/278>) to support:
    - $(substitution args)
    - ${python expressions}
    - single or double quoting of spaces
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 04 Sep 2021 07:00:00 -0000

ros-rolling-xacro (2.0.6-2jammy) jammy; urgency=high

  * [feature] Expose YamlDictWrapper as dotify() to allow dotted access to any dict (#274 <https://github.com/ros/xacro/issues/274>)
  * [fix]     Scoped macro evaluation (#272 <https://github.com/ros/xacro/issues/272>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 30 May 2021 07:00:00 -0000

ros-rolling-xacro (2.0.5-2jammy) jammy; urgency=high

  * [fix]     Report correct filename for XML errors (#268 <https://github.com/ros/xacro/issues/268>)
  * [fix]     Python3-compatible property Table (#266 <https://github.com/ros/xacro/issues/266>)
  * [fix]     Use outer-scope symbols to resolve include filename in xacro:include (#264 <https://github.com/ros/xacro/issues/264>)
  * [fix]     Append test directory to existing AMENT_PREFIX_PATH (#260 <https://github.com/ros/xacro/issues/260>)
  * [fix]     yaml loading: recursively wrap lists and dicts for dotted dict access (#258 <https://github.com/ros/xacro/issues/258>)
  * [feature] Provide support for yaml constructors !degrees and !radians (#252 <https://github.com/ros/xacro/issues/252>)
  * Contributors: Chen Bainian, Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-xacro (2.0.3-2jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.2 and 1.14.3 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 09 Aug 2020 07:00:00 -0000

ros-rolling-xacro (2.0.2-2jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.1, 1.13.5 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 29 Mar 2020 07:00:00 -0000

ros-rolling-xacro (2.0.1-2jammy) jammy; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 06 Oct 2019 07:00:00 -0000

ros-rolling-xacro (2.0.0-2jammy) jammy; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Sep 2019 07:00:00 -0000

ros-rolling-xacro (1.14.4-2jammy) jammy; urgency=high



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
-Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-index-python, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-index-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ros-workspace
 Homepage: http://ros.org/wiki/xacro
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
